%define name boa
%define version 0.94.8.3
%define release 1mdk

Summary: The boa web server
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.boa.org/%{name}-%{version}.tar.bz2
Source1: boa.init
URL: http://www.boa.org/
Copyright: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: flex bison
Requires: /etc/mime.types

%description
a high speed, lightweight web server (HTTP protocol).
based on direct use of the select(2) system call, it
internally multiplexes all connections without forking,
for maximum speed and minimum system resource use.

%prep
%setup

perl -p -i -e 's@^Alias /doc /usr/doc@#Alias /doc /usr/doc@' boa.conf

%build
cd src
%configure
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
cd src
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install boa $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/boa
install boa_indexer $RPM_BUILD_ROOT%{_libdir}/boa/

mkdir -p $RPM_BUILD_ROOT/var/www

cd ..
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 docs/boa.8 $RPM_BUILD_ROOT%{_mandir}/man8/

mkdir -p $RPM_BUILD_ROOT/etc/boa
install -m 644 boa.conf $RPM_BUILD_ROOT/etc/boa/

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/boa

mkdir -p $RPM_BUILD_ROOT/var/log/boa

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add boa

%preun
if [ "$1" == 0 ]; then
    chkconfig --del boa
fi

%files
%defattr(-,root,root)
%{_sbindir}/boa
%{_libdir}/boa/boa_indexer
%config(noreplace) /etc/rc.d/init.d/boa
%config(noreplace) /etc/boa/boa.conf
%dir /var/www
%dir /var/log/boa
%doc %{_mandir}/man8/*
%doc docs/*.{html,png}

%changelog
* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.94.8.3-1mdk
- Some noreplace.
- 0.94.8.3 security fix.

* Sun Aug 06 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.94.8.2-1mdk
- rebuild for new shiny version

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94.8.1-2mdk
- BM
- use new man macros

* Fri Jul  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.94.8.1-1mdk
- first mandrake version

# end of file
